Index: /branches/2.5/language/es_ES/admin.lang.php
===================================================================
--- /branches/2.5/language/es_ES/admin.lang.php	(revision 23452)
+++ /branches/2.5/language/es_ES/admin.lang.php	(revision 23453)
@@ -225,5 +225,5 @@
 $lang['User'] = 'Usuario';
 $lang['See you soon,'] = 'Hasta pronto,';
-$lang['Go to'] = 'Vaya a ';
+$lang['Go to'] = 'Ir a ';
 $lang['Hello'] = 'Hola ';
 $lang['New photos were added'] = 'Han sido añadidas nuevas fotos';
@@ -425,12 +425,12 @@
 $lang['%d anomalies have been detected.'] = '%d anomalías han sido detectadas.';
 $lang['%d anomaly has been corrected.'] = '%d anomalía ha sido corregida.';
-$lang['%d anomalies have been detected corrected.'] = '%d anomalías han sido corregidas.';
+$lang['%d anomalies have been detected corrected.'] = '%d anomalías han sido detectadas y corregidas.';
 $lang['%d anomaly has not been corrected.'] = '%d anomalía no pudo ser corregida.';
 $lang['%d anomalies have not been corrected.'] = '%d anomalías no pudieron ser corregidas.';
-$lang['Go to %s or %s for more informations'] = 'Vaya a %s o %s para más información';
+$lang['Go to %s or %s for more informations'] = 'Ir a %s o %s para más información';
 $lang['the forum'] = 'El foro';
 $lang['the wiki'] = 'El wiki';
 $lang['%s value is not correct file because exif are not supported'] = 'El valor %s no es correcto porque los datos Exif no están soportados';
-$lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s debe ser puesto a "false" en su fichero config_local.inc.php';
+$lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s debe establecerse a "false" en su fichero config_local.inc.php';
 $lang['Main "guest" user does not exist'] = 'El usuario principal "invitado" no existe.';
 $lang['Main "guest" user status is incorrect'] = 'El estado del usuario principal "invitado" es incorrecto';
@@ -549,9 +549,9 @@
 $lang['Set as default theme for unregistered and new users'] = 'Establecer como tema predeterminado para visitantes no registrados y para nuevos usuarios';
 $lang['unknown'] = 'desconocido';
-$lang['Upload Photos'] = 'Agregar fotos';
-$lang['Drop into album'] = 'Arrastrar a un álbum';
-$lang['+ Add an upload box'] = '+ Añadir otra caja de transferencia';
+$lang['Upload Photos'] = 'Añadir fotos';
+$lang['Drop into album'] = 'Seleccionar álbum';
+$lang['+ Add an upload box'] = '+ Añadir campo de subida';
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Crear el directorio "%s" en la raíz de su instalación Piwigo';
-$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Dé permisos de escritura (chmod 777) al directorio "%s" en la raíz de su instalación Piwigo';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Concede permisos de escritura (chmod 777) al directorio "%s" en la raíz de su instalación Piwigo';
 $lang['existing album'] = 'Álbum existente';
 $lang['create a new album'] = 'Añadir un nuevo álbum';
@@ -598,5 +598,5 @@
 $lang['Visit Gallery'] = 'Volver a la galería';
 $lang['Visit Piwigo project website'] = 'Visitar el sitio web del proyecto Piwigo';
-$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'PLoader significa <em>Piwigo Uploader</em>. Desde su ordenador, pLoader prepara sus fotos y los traslada hacia su galería foto Piwigo.';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader significa <em>Piwigo Uploader</em>. Desde su ordenador, prepare sus fotos con pLoader y transfiéralas a su galería fotográfica Piwigo.';
 $lang['Guest Settings'] = 'Ajustes de los invitados';
 $lang['Main Page'] = 'Página principal';
@@ -807,5 +807,5 @@
 $lang['The original maximum height must be a number between %d and %d'] = 'La altura máxima de la foto original ha de ser un número entre %d y %d';
 $lang['The original maximum width must be a number between %d and %d'] = 'La anchura máxima de la foto original ha de ser un número entre %d y %d';
-$lang['A locked gallery is only visible to administrators'] = 'Una galería bloqueada solo es visible por los administradores';
+$lang['A locked gallery is only visible to administrators'] = 'Una galería bloqueada sólo es visible por los administradores';
 $lang['administrators'] = 'administradores';
 $lang['Gallery unlocked'] = 'Galería desbloqueada';
@@ -835,10 +835,10 @@
 $lang['Web Form'] = 'Formulario web';
 $lang['You can activate only one mobile theme.'] = 'Sólo se puede activar un tema para dispositivos móviles.';
-$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'La aplicacion de <em>Piwigo para Android</em> te permite conectar tu galería Piwigo a tu dispositivo Android y poder crear álbumes y subir fotos desde estos dispositivos.';
-$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'Las aplicaciones de <em>Piwigo para iOS</em> te permiten conectar tu galería Piwigo a tu iPhone, iPad o iPod Touch y poder crear álbumes y subir fotos desde estos dispositivos.';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'La aplicación <em>Piwigo para Android</em> te permite conectarte a tu galería Piwigo desde tu teléfono o tablet Android, crear álbumes y subir varias fotos a la vez.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'Las aplicación <em>Piwigo para iOS</em> te permite conectarte a tu galería Piwigo desde tu iPhone, iPad o iPod Touch, crear álbumes y subir varias fotos a la vez.';
 $lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Lightroom es un software fotográfico diseñado para administrar grandes cantidades de imágenes y realizar el procesado de las mismas.';
 $lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture es una potente herramienta para editar imágenes y administrar grandes colecciones en Mac.';
 $lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture está diseñada para fotógrafos profesionales con la simplicidad de iPhoto.';
-$lang['Available on'] = 'Disponible el';
+$lang['Available on'] = 'Disponible en';
 $lang['Available versions for'] = 'Versión disponible para';
 $lang['Delete multiple size images'] = 'Eliminar imágenes con múltiples tamaños';
@@ -857,5 +857,5 @@
 $lang['Piwigo Publish plugin for Lightroom'] = 'Plugin de publicación de Piwigo para Lightroom';
 $lang['Piwigo publish plugin for Shotwell'] = 'Plugin de Piwigo para Shotwell';
-$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery para Android) es un software de código abierto (GPL v3) cliente de Piwigo para tu dispositivo Android.';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (cliente RemoteGallery para Android) es un software cliente de Piwigo de código abierto (GPL v3) para la plataforma Android.';
 $lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell es un software de código abierto para Linux que sirve para organizar colecciones de fotos. Es el software fotográfico por defecto en Ubuntu y Fedora.';
 $lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'El plugin Piwigo Export permite crear álbumes y exportar fotos.';
@@ -952,3 +952,4 @@
 
 $lang['Purge user cache'] = 'Limpiar cache de usuario';
+$lang['The picture dimensions will be reduced to %dx%d pixels.'] = 'Las dimensiones de la imagen se reducirá a %dx%d píxeles.';
 ?>
Index: /branches/2.5/language/es_ES/common.lang.php
===================================================================
--- /branches/2.5/language/es_ES/common.lang.php	(revision 23452)
+++ /branches/2.5/language/es_ES/common.lang.php	(revision 23453)
@@ -23,5 +23,5 @@
 /*
 Language Name: Español [ES]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=169
 Author: Piwigo team
@@ -61,8 +61,8 @@
 $lang['Complete RSS feed (photos, comments)'] = 'Canal RSS completo (fotos y comentarios)';
 $lang['Confirm Password'] = 'Confirmar contraseña';
-$lang['Connection settings'] = 'Paràmetros de conexión';
+$lang['Connection settings'] = 'Parámetros de conexión';
 $lang['Login'] = 'Identificarse';
 $lang['Contact webmaster'] = 'Contactar con el webmaster';
-$lang['Create a new account'] = 'Crear una nueva cuenta';
+$lang['Create a new account'] = 'Crear una cuenta nueva';
 $lang['Created on'] = 'Creada el';
 $lang['Creation date'] = 'Fecha de creación';
@@ -284,5 +284,5 @@
 $lang['Thumbnails'] = 'Diapositivas';
 $lang['Menu'] = 'Menú';
-$lang['A comment on your site'] = 'Un comentario acerca de este sitio web';
+$lang['A comment on your site'] = 'Un comentario de tu sitio web';
 $lang['today'] = 'Hoy';
 $lang['Update your rating'] = 'Cambiar valoración';
@@ -311,5 +311,5 @@
 $lang['Not repeat the slideshow'] = 'Desactivar repetición';
 $lang['Reduce diaporama speed'] = 'Disminuir velocidad';
-$lang['Accelerate diaporama speed'] = 'Incrementar velocidad';
+$lang['Accelerate diaporama speed'] = 'Aumentar la velocidad del pase de diapositivas';
 $lang['Submit'] = 'Validar';
 $lang['Yes'] = 'Si';
@@ -402,6 +402,6 @@
 $lang['Numeric identifier, 1 &rarr; 9'] = 'Número de identificación, 1 &rarr; 9';
 $lang['Numeric identifier, 9 &rarr; 1'] = 'Número de identificación, 9 &rarr; 1';
-$lang['Photo title, A &rarr; Z'] = 'Título de foto, A &rarr; Z';
-$lang['Photo title, Z &rarr; A'] = 'Título de foto, Z &rarr; A';
+$lang['Photo title, A &rarr; Z'] = 'Título de la foto, A &rarr; Z';
+$lang['Photo title, Z &rarr; A'] = 'Título de la foto, Z &rarr; A';
 $lang['Rating score, high &rarr; low'] = 'Puntuación, más alta &rarr; más baja';
 $lang['Rating score, low &rarr; high'] = 'Puntuación, más baja &rarr; más alta';
Index: /branches/2.5/language/fa_IR/admin.lang.php
===================================================================
--- /branches/2.5/language/fa_IR/admin.lang.php	(revision 23452)
+++ /branches/2.5/language/fa_IR/admin.lang.php	(revision 23453)
@@ -953,3 +953,4 @@
 $lang['between %d and %d pixels'] = 'میان %d و %d پیکسل';
 $lang['Purge user cache'] = 'پاک کردن مخزن کاربر (کش)';
+$lang['The picture dimensions will be reduced to %dx%d pixels.'] = 'اندازه‌ی این عکس به %dx%d پیکسل کاهش خواهد یافت.';
 ?>
Index: /branches/2.5/language/fa_IR/common.lang.php
===================================================================
--- /branches/2.5/language/fa_IR/common.lang.php	(revision 23452)
+++ /branches/2.5/language/fa_IR/common.lang.php	(revision 23453)
@@ -23,5 +23,5 @@
 /*
 Language Name: پارسی [IR]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=419
 Author: Piwigo team
Index: /branches/2.5/language/fi_FI/admin.lang.php
===================================================================
--- /branches/2.5/language/fi_FI/admin.lang.php	(revision 23452)
+++ /branches/2.5/language/fi_FI/admin.lang.php	(revision 23453)
@@ -166,3 +166,53 @@
 $lang['%d user comment validated'] = '%d kommentti hyväksytty';
 $lang['%d user comments rejected'] = '%d kommenttia hylätty';
+$lang['New tag'] = 'Uusi tägi';
+$lang['Number of comments per page'] = 'Kommenttien lukumäärä sivua kohden';
+$lang['Move albums'] = 'Siirrä albumeja';
+$lang['Move to album'] = 'Siirrä albumiin';
+$lang['Manage Permissions'] = 'Hallitse oikeuksia';
+$lang['Hide'] = 'Piilota';
+$lang['Gallery title'] = 'Gallerian otsikko';
+$lang['Default photos order'] = 'Kuvien oletusjärjestys';
+$lang['Default user cannot be deleted'] = 'Oletuskäyttäjää ei voi poistaa';
+$lang['Delete orphan tags'] = 'Poista käyttämättömät tägit';
+$lang['Delete selected photos'] = 'Poista valitut kuvat';
+$lang['Delete selected tags'] = 'Poista valitut tägit';
+$lang['Delete this theme'] = 'Poista tämä teema';
+$lang['Add a criteria'] = 'Lisää kriteeri';
+$lang['Add a filter'] = 'Lisää filtteri';
+$lang['Add a tag'] = 'Lisää tägi';
+$lang['Add a virtual album'] = 'Lisää virtuaalinen albumi';
+$lang['Add group'] = 'Lisää ryhmä';
+$lang['Add tags'] = 'Lisää tägejä';
+$lang['Added by %s'] = 'Lisännyt %s';
+$lang['Album "%s" has been added'] = 'Albumi "%s" lisätty';
+$lang['Album "%s" now contains %d photos'] = 'Albumi "%s" sisältää nyt %d kuvaa';
+$lang['Albums automatically sorted'] = 'Albumit järjestetty automaattisesti';
+$lang['All %d photos are selected'] = 'Kaikki %d kuvaa ovat valittuina';
+$lang['All extensions are up to date.'] = 'Kaikki laajennukset ovat ajan tasalla.';
+$lang['ACCESS_5'] = 'Ei pääsyä';
+$lang['Action'] = 'Toiminto';
+$lang['Actions'] = 'Toiminnot';
+$lang['Select an album'] = 'Valitse albumi';
+$lang['Select at least one album'] = 'Valitse vähintään yksi albumi';
+$lang['Select at least one comment'] = 'Valitse vähintään yksi kommentti';
+$lang['Select at least one photo'] = 'Valitse vähintään yksi kuva';
+$lang['Select at least one user'] = 'Valitse vähintään yksi käyttäjä';
+$lang['Select groups...'] = 'Valitse ryhmät...';
+$lang['Select users...'] = 'Valitse käyttäjät...';
+$lang['Two updates are available'] = 'Kaksi päivitystä on saatavilla';
+$lang['Thumbnails generation in progress...'] = 'Luodaan pienoiskuvia...';
+$lang['Virtual album added'] = 'Virtuaalinen albumi lisätty';
+$lang['Virtual album deleted'] = 'Virtuaalinen albumi poistettu';
+$lang['You are running the latest version of Piwigo.'] = 'Sinulla on uusin versio Piwigosta.';
+$lang['You cannot delete your account'] = 'Et voi poistaa omaa käyttäjätiliäsi';
+$lang['You cannot move an album in its own sub album'] = 'Et voi siirtää albumia omaan ala-albumiinsa';
+$lang['an error happened'] = 'tapahtui virhe';
+$lang['any visitor can see this album'] = 'kuka tahansa vierailija näkee tämän albumin';
+$lang['automatic order'] = 'automaattinen järjestys';
+$lang['default values'] = 'oletusarvot';
+$lang['unknown'] = 'tuntematon';
+$lang['user_status_admin'] = 'Ylläpitäjä';
+$lang['user_status_guest'] = 'Vieras';
+$lang['user_status_normal'] = 'Käyttäjä';
 ?>
Index: /branches/2.5/language/fi_FI/common.lang.php
===================================================================
--- /branches/2.5/language/fi_FI/common.lang.php	(revision 23452)
+++ /branches/2.5/language/fi_FI/common.lang.php	(revision 23453)
@@ -23,5 +23,5 @@
 /*
 Language Name: Finnish [FI]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=686
 Author: Piwigo team
Index: /branches/2.5/language/gl_ES/admin.lang.php
===================================================================
--- /branches/2.5/language/gl_ES/admin.lang.php	(revision 23452)
+++ /branches/2.5/language/gl_ES/admin.lang.php	(revision 23453)
@@ -275,5 +275,5 @@
 $lang['Albums authorized thanks to group associations'] = 'O álbum autorizouse grazas ás asociacións do grupo';
 $lang['Albums automatically sorted'] = 'Os álbums ordenáronse automaticamente';
-$lang['All extensions are up to date.'] = 'Tódalas extensións están actualizados.';
+$lang['All extensions are up to date.'] = 'Tódolos engadidos están actualizad0s.';
 $lang['All languages are up to date.'] = 'Tódolos idiomas están actualizados.';
 $lang['All optimizations have been successfully completed.'] = 'Tódalas optimizacións foron completadas con éxito.';
@@ -944,3 +944,4 @@
 $lang['high'] = 'alto';
 $lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto é o xestor de fotos predeterminado de MacOSX. O engadido de exportación Piwigo crea novos ábums e exporta túas fotos directamente de iPhoto á túa galería de fotos Piwigo.';
+$lang['The picture dimensions will be reduced to %dx%d pixels.'] = 'As dimensións da imaxe reduciranse a %dx%d pixeis.';
 ?>
Index: /branches/2.5/language/gl_ES/common.lang.php
===================================================================
--- /branches/2.5/language/gl_ES/common.lang.php	(revision 23452)
+++ /branches/2.5/language/gl_ES/common.lang.php	(revision 23453)
@@ -23,5 +23,5 @@
 /*
 Language Name: Galego [ES]
-Version: 2.5.1
+Version: 2.5.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=681
 Author: Piwigo team
Index: /branches/2.5/language/it_IT/admin.lang.php
===================================================================
--- /branches/2.5/language/it_IT/admin.lang.php	(revision 23452)
+++ /branches/2.5/language/it_IT/admin.lang.php	(revision 23453)
@@ -423,6 +423,6 @@
 $lang['Guest cannot be deleted'] = 'L\'utente ospite non può essere cancellato';
 $lang['Default user cannot be deleted'] = 'L\'utente predefinito non può essere cancellato';
-$lang['Purge history detail'] = 'Ripulire i dettagli dalla cronoligia';
-$lang['Purge history summary'] = 'Ripulire il sommario dalla cronoligia';
+$lang['Purge history detail'] = 'Ripulire i dettagli dalla cronologia';
+$lang['Purge history summary'] = 'Ripulire il sommario dalla cronologia';
 $lang['Check integrity'] = 'Controllo d\'integrità ';
 $lang['Anomaly'] = 'Anomalia';
@@ -772,5 +772,5 @@
 $lang['Start Upload'] = 'Avviare il caricamento';
 $lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Si sta utilizzando il Flash uploader. Problemi? Provare il <a href="%s">Browser uploader</a> invece.';
-$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Atate utilizzando il Browser uploader. Provate con il <a href="%s">Flash uploader</a> invece.';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'State utilizzando il Browser uploader. Provate con il <a href="%s">Flash uploader</a> invece.';
 $lang['Maximum file size: %sB.'] = 'Grandezza massima dei file: %sB.';
 $lang['Allowed file types: %s.'] = 'Tipi di file autorizzati: %s.';
@@ -951,3 +951,4 @@
 $lang['Rename'] = 'Rinomina';
 $lang['Purge user cache'] = 'Svuotare la cache utente';
+$lang['The picture dimensions will be reduced to %dx%d pixels.'] = 'Le dimensioni dell\'immagine saranno ridotte a %dx%d pixel.';
 ?>
Index: /branches/2.5/language/it_IT/common.lang.php
===================================================================
--- /branches/2.5/language/it_IT/common.lang.php	(revision 23452)
+++ /branches/2.5/language/it_IT/common.lang.php	(revision 23453)
@@ -23,5 +23,5 @@
 /*
 Language Name: Italiano [IT]
-Version: 2.5.1
+Version: 2.5.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=424
 Author: Piwigo team
Index: /branches/2.5/language/kn_IN/common.lang.php
===================================================================
--- /branches/2.5/language/kn_IN/common.lang.php	(revision 23452)
+++ /branches/2.5/language/kn_IN/common.lang.php	(revision 23453)
@@ -23,5 +23,5 @@
 /*
 Language Name: ಕನ್ನಡ [IN]
-Version: 2.5.0
+Version: 2.5.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=693
 Author: Piwigo team
@@ -88,5 +88,5 @@
 $lang['Browser: %s'] = "ಬ್ರೌಸರ್: %s";
 $lang['Calendar'] = "ದಿನದರ್ಶಿಕೆ";
-$lang['Change my password'] = 'ನನ್ನ ಗುಪ್ತಪದವನ್ನು ಬದಲಿಸು';
+$lang['Change my password'] = 'ನನ್ನ ಪ್ರವೇಶಪದವನ್ನು ಬದಲಿಸು';
 $lang['Check your email for the confirmation link'] = 'ಒಪ್ಪಿಗೆಯ ಲಿಂಕ್ ಗಾಗಿ  ನಿಮ್ಮ ಮಿಂಚೆಯನ್ನು ನೋಡಿ';
 $lang['chronology_monthly_calendar'] = "ತಿಂಗಳಿನ ದಿನದರ್ಶಿಕೆ";
@@ -103,5 +103,5 @@
 $lang['Comments'] = "ಟಿಪ್ಪಣಿಗಳು";
 $lang['Complete RSS feed (photos, comments)'] = "ಸಂಪೂರ್ಣ RSS feed (ಚಿತ್ರಗಳು, ಟಿಪ್ಪಣಿಗಳು)";
-$lang['Confirm Password'] = "ಗುಪ್ತಪದವನ್ನು ನಿರ್ಣಯಿಸಿ";
+$lang['Confirm Password'] = 'ಪ್ರವೇಶಪದವನ್ನು ಖಾತ್ರಿಗೊಳಿಸಿ.';
 $lang['Connected user: %s'] = "ಸಂಪರ್ಕಿತವಾದ ಬಳಕೆದಾರ: %s";
 $lang['Connection settings'] = "ಸಂಪರ್ಕದ ವಿವರಗಳು";
@@ -110,6 +110,6 @@
 $lang['Create a new account'] = "ಹೊಸ ಖಾತೆಯನ್ನು ತೆರೆಯಿರಿ";
 $lang['created after %s (%s)'] = "%s (%s) ರ ನಂತರ ರಚಿಸಲಾಗಿದೆ ";
-$lang['created before %s (%s)'] = " %s (%s) ರ ಮುಂಚೆ ರಚಿಸಲಾಗಿದೆ ";
-$lang['created between %s (%s) and %s (%s)'] = " %s (%s) ರ ಮತ್ತು  %s (%s) ರ ನಡುವೆ ರಚಿಸಲಾಗಿದೆ";
+$lang['created before %s (%s)'] = '%s (%s) ರ ಮುಂಚೆ ರಚಿಸಲಾಗಿದೆ ';
+$lang['created between %s (%s) and %s (%s)'] = '%s (%s) ರ ಮತ್ತು  %s (%s) ರ ನಡುವೆ ರಚಿಸಲಾಗಿದೆ';
 $lang['created on %s'] = "%s ರಂದು ತೆರೆಯಲಾಗಿದೆ";
 $lang['Created on'] = "ರಂದು ರಚಿಸಲಾಗಿದೆ";
@@ -163,5 +163,5 @@
 $lang['Email: %s'] = "ಮಿಂಚೆ: %s";
 $lang['End-Date'] = "ಕೊನೆಯ ದಿನಾಂಕ";
-$lang['Enter your new password below.'] = 'ನಿಮ್ಮ ಹೊಸ ಗುಪ್ತಪದವನ್ನು ಈ ಕೆಳಗೆ ನಮೂದಿಸಿ.';
+$lang['Enter your new password below.'] = 'ನಿಮ್ಮ ಹೊಸ ಪ್ರವೇಶಪದವನ್ನು ಈ ಕೆಳಗೆ ನಮೂದಿಸಿ.';
 $lang['Enter your personnal informations'] = "ನಿಮ್ಮ ಸ್ವವಿವರಗಳನ್ನು ನಮೂದಿಸಿ";
 $lang['Error sending email'] = "ಮಿಂಚೆ ಕಳುಹಿಸುವಾಗ ತಪ್ಪಾಗಿದೆ";
@@ -179,5 +179,5 @@
 $lang['First'] = "ಮೊದಲಿನ";
 $lang['Forbidden'] = 'ನಿರ್ಬಂಧಿತ';
-$lang['Forgot your password?'] = 'ನಿಮ್ಮ ಗುಪ್ತಪದ ಮರೆತು ಹೋಗಿದೆಯೆ?';
+$lang['Forgot your password?'] = 'ನಿಮ್ಮ ಪ್ರವೇಶಪದ ಮರೆತು ಹೋಗಿದೆಯೆ?';
 $lang['from %s to %s'] = "ಇಂದ  %s ಗೆ %s";
 $lang['Go through the gallery as a visitor'] = "ಸಂದರ್ಶಕರಂತೆ ಚಿತ್ರಶಾಲೆ (ಗ್ಯಾಲರಿ)ಯನ್ನು ವೀಕ್ಷಿಸಿ";
@@ -189,5 +189,5 @@
 $lang['Help'] = "ಸಹಾಯ";
 $lang['Here are your connection settings'] = 'ನಿಮ್ಮ ಸಂಪರ್ಕದ ವಿವರಗಳು ಇಲ್ಲಿವೆ ';
-$lang['Home'] = "ಮನೆ";
+$lang['Home'] = 'ಮುಖಪುಟ';
 $lang['html tags are not allowed in login'] = 'html ಟ್ಯಾಗ್ ಗಳನ್ನು ಲಾಗಿನ್ ನಲ್ಲಿ ಉಪಯೋಗಿಸುವಂತಿಲ್ಲ';
 $lang['I want to add photos'] = 'ನಾನು ಚಿತ್ರಗಳನ್ನು ಸೇರಿಸಬೇಕು';
@@ -201,5 +201,5 @@
 $lang['Interface theme'] = "ಹೊರನೋಟ ವಿನ್ಯಾಸದ ಥೀಮ್";
 $lang['Invalid key'] = 'ಅಸಿಂಧುವಾದ ಕೀ';
-$lang['Invalid password!'] = "ತಪ್ಪಾದ ಗುಪ್ತಪದ!";
+$lang['Invalid password!'] = 'ತಪ್ಪಾದ ಪ್ರವೇಶಪದ!';
 $lang['Invalid username or email'] = 'ತಪ್ಪಾದ ಬಳಕೆದಾರರ ಹೆಸರು ಅಥವಾ ಮಿಂಚೆ ವಿಳಾಸ';
 $lang['IPTC Metadata'] = 'IPTC ಮೆಟಾಡೇಟಾ';
@@ -236,5 +236,5 @@
 $lang['Most visited'] = "ಅತಿ ಹೆಚ್ಚು ಕೋರಿಕೆಯ";
 $lang['New on %s'] = "ಹೊಸತು %s";
-$lang['New password'] = "ಹೊಸ ಗುಪ್ತಪದ";
+$lang['New password'] = 'ಹೊಸ ಪ್ರವೇಶಪದ';
 $lang['Next'] = "ಮುಂದೆ";
 $lang['no rate'] = "ಯಾವುದೇ ಗುಣದರ್ಜೆ ಇಲ್ಲ";
@@ -251,10 +251,10 @@
 $lang['Page generated in'] = "ದಲ್ಲಿ  ಪುಟ ಪುನರ್ರಚಿಸಲಾಗಿದೆ";
 $lang['Page not found'] = 'ಪುಟ ಸಿಗುತ್ತಿಲ್ಲ';
-$lang['Password forgotten'] = "ಗುಪ್ತಪದ ಮರೆತಿದೆ";
-$lang['Password reset is not allowed for this user'] = 'ಈ ಬಳಕೆದಾರರ ಗುಪ್ತಪದವನ್ನು ಸರಿಪಡಿಸಲಾಗುವುದಿಲ್ಲ';
-$lang['Password Reset'] = 'ಗುಪ್ತಪದವನ್ನು ಸರಿಪಡಿಸಿ';
-$lang['password updated'] = "ಗುಪ್ತಪದವನ್ನು ತಿದ್ದುಪಡಿಸಲಾಗಿದೆ";
-$lang['Password'] = "ಗುಪ್ತಪದ";
-$lang['Password: %s'] = 'ಗುಪ್ತಪದ: %s';
+$lang['Password forgotten'] = 'ಪ್ರವೇಶಪದಮರೆತಿದೆ';
+$lang['Password reset is not allowed for this user'] = 'ಈ ಬಳಕೆದಾರರ ಪ್ರವೇಶಪದವನ್ನು ಸರಿಪಡಿಸಲಾಗುವುದಿಲ್ಲ';
+$lang['Password Reset'] = 'ಪ್ರವೇಶಪದವನ್ನು ಸರಿಪಡಿಸಿ';
+$lang['password updated'] = 'ಪ್ರವೇಶಪದವನ್ನು ತಿದ್ದುಪಡಿಸಲಾಗಿದೆ';
+$lang['Password'] = 'ಪ್ರವೇಶಪದ';
+$lang['Password: %s'] = 'ಪ್ರವೇಶಪದ: %s';
 $lang['Pause of slideshow'] = "ಪ್ರದರ್ಶಿಕೆಯನ್ನು ತಡೆಹಿಡಿ";
 $lang['Permalink for album not found'] = 'ಸಂಪುಟದ Permalink ಸಿಗುತ್ತಿಲ್ಲ';
@@ -274,5 +274,5 @@
 $lang['Please, enter a login'] = "ದಯವಿಟ್ಟು ಲಾಗಿನ್ ಅನ್ನು ನಮೂದಿಸಿ";
 $lang['Post date'] = "ಪ್ರಕಟಣೆಯ ದಿನಾಂಕ";
-$lang['posted after %s (%s)'] = " %s (%s) ರ ನಂತರ";
+$lang['posted after %s (%s)'] = '%s (%s) ರ ನಂತರ';
 $lang['posted before %s (%s)'] = "%s (%s) ಕ್ಕೆ ಮುನ್ನ ಪ್ರಕಟವಾದವು.";
 $lang['posted between %s (%s) and %s (%s)'] = "%s (%s) ಮತ್ತು %s (%s) ರ ಮಧ್ಯೆ ಪ್ರಕಟವಾದವು";
@@ -284,10 +284,10 @@
 $lang['Quick connect'] = "ವೇಗದ ಸಂಪರ್ಕ";
 $lang['Quick search'] = "ವೇಗದ ಹುಡುಕಾಟ";
-$lang['Random photos'] = "Random ಚಿತ್ರಗಳು";
+$lang['Random photos'] = 'ಯಾವುದಾದೊರೊಂದು ಚಿತ್ರ';
 $lang['Rank'] = "ದರ್ಜೆ";
 $lang['Rate this photo'] = "ಈ ಚಿತ್ರದ ಗುಣದರ್ಜೆಯನ್ನು ಹೊಂದಿಸಿ";
 $lang['Rating score'] = "ಗುಣದರ್ಜೆಯ ಅಂಕ";
-$lang['Rating score, high &rarr; low'] = 'Rating ಅಂಕ, ಹೆಚ್ಚು &rarr; ಕಡಿಮೆ';
-$lang['Rating score, low &rarr; high'] = 'Rating ಅಂಕ, ಕಡಿಮೆ &rarr; ಹೆಚ್ಚು';
+$lang['Rating score, high &rarr; low'] = 'ಗುಣದರ್ಜೆಯ ಅಂಕ, ಹೆಚ್ಚು &rarr; ಕಡಿಮೆ';
+$lang['Rating score, low &rarr; high'] = 'ಗುಣದರ್ಜೆಯ ಅಂಕ, ಕಡಿಮೆ &rarr; ಹೆಚ್ಚು';
 $lang['Recent albums'] = "ಇತ್ತೀಚಿನ ಸಂಪುಟಗಳು";
 $lang['Recent period must be a positive integer value'] = "ಇತ್ತೀಚಿನ ಅವಧಿಯ   ";
@@ -302,11 +302,11 @@
 $lang['remove this tag from the list'] = "ಪಟ್ಟಿಯಿಂದ ಈ ಟ್ಯಾಗ್ ಅನ್ನು ತೆಗೆಯಿರಿ";
 $lang['Repeat the slideshow'] = "ಪ್ರದರ್ಶಿಕೆಯನ್ನು ಪುನರಾವರ್ತಿಸಿ";
-$lang['representative'] = 'ಸಂಪುಟದ thumbnail';
+$lang['representative'] = 'ಸಂಪುಟದ ಕಿರುಚಿತ್ರ';
 $lang['Requested album does not exist'] = 'ಕೋರಿಕೆಯ ಸಂಪುಟ ಅಸ್ತಿತ್ವದಲ್ಲಿಲ್ಲ.';
 $lang['Requested tag does not exist'] = 'ಕೋರಿಕೆಯ ಟ್ಯಾಗ್  ಅಸ್ತಿತ್ವದಲ್ಲಿಲ್ಲ';
 $lang['Reset to default values'] = "ಪೂರ್ವನಿಯೋಜಿತ ಮೌಲ್ಯಗಳಿಗೆ ಮರುಹೊಂದಿಸಿ";
 $lang['Reset'] = "ಮರುಹೊಂದಿಸಿ";
-$lang['Retrieve password'] = "ಗುಪ್ತಪದವನ್ನು ";
-$lang['Return to home page'] = 'ಮರಳಿ ಮನೆಗೆ';
+$lang['Retrieve password'] = 'ಗುಪ್ತಪದವನ್ನು ಮರಳಿ ಪಡೆಯಿರಿ';
+$lang['Return to home page'] = 'ಮರಳಿ ಮುಖಪುಟಕ್ಕೆ';
 $lang['return to normal view mode'] = "ಸಾಮಾನ್ಯ ವೀಕ್ಷಣೆಗೆ ಮರಳಿ";
 $lang['return to the display of all photos'] = "ಎಲ್ಲಾ ಚಿತ್ರಗಳ ಪ್ರದರ್ಶನಕ್ಕೆ ಮರಳಿ";
@@ -341,5 +341,5 @@
 $lang['stop the slideshow'] = "ಪ್ರದರ್ಶಿಕೆಯನ್ನು ನಿಲ್ಲಿಸಿ";
 $lang['Submit'] = "ಸಲ್ಲಿಸಿ";
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'ಯಸಸ್ವಿಯಾಗಿ ನೋಂದಾಯಿಸಲಾಗಿದೆ, ನಿಮ್ಮ ಸಂಪರ್ಕದ ವಿವರಗಳಿರುವ ಮಿಂಚೆ ಸಧ್ಯದಲ್ಲೇ ನಿಮಗೆ ಸೇರಲಿದೆ. ಸುಸ್ವಾಗತ!';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'ಯಶಸ್ವಿಯಾಗಿ ನೋಂದಾಯಿಸಲಾಗಿದೆ, ನಿಮ್ಮ ಸಂಪರ್ಕದ ವಿವರಗಳಿರುವ ಮಿಂಚೆ ಸಧ್ಯದಲ್ಲೇ ನಿಮಗೆ ಸೇರಲಿದೆ. ಸುಸ್ವಾಗತ!';
 $lang['Tag results for'] = "ಟ್ಯಾಗ್ ನ ಫಲಿತಾಂಶಗಳು :";
 $lang['Tag'] = "ಟ್ಯಾಗ್";
@@ -349,5 +349,5 @@
 $lang['The gallery is locked for maintenance. Please, come back later.'] = 'ಚಿತ್ರಶಾಲೆ (ಗ್ಯಾಲರಿ) ಯನ್ನು ನಿರ್ವಹಣೆಗಾಗಿ ತಾತ್ಕಾಲಿಕವಾಗಿ ತಡೆಹಿಡಿಯಲಾಗಿದೆ. ದಯವಿಟ್ಟು ನಂತರ ಮತ್ತೊಮ್ಮೆ ಭೇಟಿ ಕೊಡಿ.';
 $lang['The number of photos per page must be a not null scalar'] = 'ಪ್ರತಿ ಪುಟದಲ್ಲಿನ  ಚಿತ್ರಗಳ ಸಂಖ್ಯೆ  ಶೂನ್ಯಕ್ಕಿಂತ ಹೆಚ್ಚು ಇರಬೇಕು';
-$lang['The passwords do not match'] = 'ಗುಪ್ತಪದಗಳು ಹೊಂದಿಕೆಯಾಗುತ್ತಿಲ್ಲ';
+$lang['The passwords do not match'] = 'ಪ್ರವೇಶಪದಗಳು ಹೊಂದಿಕೆಯಾಗುತ್ತಿಲ್ಲ';
 $lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = "ಈ RSS feed ಈ ಜಾಲತಾಣದ ಆ ಎಲ್ಲಾ  ಹೊಸ ಸಂಗತಿಗಳ ತಿಳುವಳಿಕೆ ನೀಡುತ್ತದೆ : ಹೊಸ ಚಿತ್ರಗಳು, ಉನ್ನತೀಕರಿಸಿದ ಸಂಪುಟಗಳು,ಹೊಸ ಟಿಪ್ಪಣಿಗಳು. RSS feed reader ನ ಜೊತೆ ಉಪಯೋಗಿಸಿ. (The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.)"; 
 $lang['the username must be given'] = "ಬಳಕೆದಾರರ ಹೆಸರು ಕಡ್ಡಾಯ";
@@ -357,11 +357,11 @@
 $lang['This login is already used by another user'] = "ಈ ಲಾಗಿನ್ ಅನ್ನು ಈಗಾಗಲೇ ಇನ್ನೊಬ್ಬ ಬಳಕೆದಾರರು ಬಳಸುತ್ತಿದ್ದಾರೆ ";
 $lang['this login is already used'] = "ಈ ಲಾಗಿನ್ ಈಗಾಗಲೇ ಬಳಕೆಯಲ್ಲಿದೆ";
-$lang['To reset your password, visit the following address:'] = 'ನಿಮ್ಮ ಗುಪ್ತಪದವನ್ನು ಬದಲಾಯಿಸಲು ಈ ವಿಳಾಸಕ್ಕೆ ಭೇಟಿ ಕೊಡಿ :';
+$lang['To reset your password, visit the following address:'] = 'ನಿಮ್ಮ ಪ್ರವೇಶಪದವನ್ನು ಬದಲಾಯಿಸಲು ಈ ವಿಳಾಸಕ್ಕೆ ಭೇಟಿ ಕೊಡಿ :';
 $lang['today'] = "ಇಂದು";
 $lang['Unknown feed identifier'] = "ಅನಾಮಿಕ feed ಗುರುತು";
 $lang['Unknown identifier'] = "ಅನಾಮಿಕ ಗುರುತು";
 $lang['Update your rating'] = "ನಿಮ್ಮ ದರ್ಜೆಯನ್ನು ಉನ್ನತೀಕರಿಸಿ";
-$lang['useful when password forgotten'] = "ಈ ಮಾಹಿತಿ, ಗುಪ್ತಪದ ಮರೆತುಹೋದ ಸಂದರ್ಭದಲ್ಲಿ ಉಪಯುಕ್ತ";
-$lang['User "%s" has no email address, password reset is not possible'] = 'ಬಳಕೆದಾರ "%s" ಮಿಂಚೆ ವಿಳಾಸ ನಮೂದಿಸಿಲ್ಲ, ಗುಪ್ತಪದ ಬದಲಾವಣೆ ಸಾಧ್ಯವಿಲ್ಲ';
+$lang['useful when password forgotten'] = 'ಈ ಮಾಹಿತಿ, ಪ್ರವೇಶಪದ ಮರೆತುಹೋದ ಸಂದರ್ಭದಲ್ಲಿ ಉಪಯುಕ್ತ';
+$lang['User "%s" has no email address, password reset is not possible'] = 'ಬಳಕೆದಾರ "%s" ಮಿಂಚೆ ವಿಳಾಸ ನಮೂದಿಸಿಲ್ಲ, ಪ್ರವೇಶಪದ ಬದಲಾವಣೆ ಸಾಧ್ಯವಿಲ್ಲ';
 $lang['User comments'] = "ಬಳಕೆದಾರರ ಟಿಪ್ಪಣಿಗಳು";
 $lang['User: %s'] = "ಬಳಕೆದಾರ: %s";
@@ -388,5 +388,5 @@
 $lang['Yes'] = "ಹೌದು";
 $lang['You are not authorized to access the requested page'] = "ನೀವು ಬಯಸುತ್ತಿಯರುವ ಪುಟವನ್ನು ತಲುಪಲು ನಿಮಗೆ ಸಮ್ಮತಿಯಿಲ್ಲ. ";
-$lang['You will receive a link to create a new password via email.'] = 'ಹೊಸ ಗುಪ್ತಪದ ವನ್ನು ರಚಿಸುವ ಲಿಂಕ್ ಅನ್ನು  ನಿಮಗೆ ಮಿಂಚೆಯ ಮೂಲಕ ಕಳುಹಿಸಲಾಗುತ್ತದೆ.';
+$lang['You will receive a link to create a new password via email.'] = 'ಹೊಸ ಪ್ರವೇಶಪದ ವನ್ನು ರಚಿಸುವ ಲಿಂಕ್ ಅನ್ನು  ನಿಮಗೆ ಮಿಂಚೆಯ ಮೂಲಕ ಕಳುಹಿಸಲಾಗುತ್ತದೆ.';
 $lang['Your comment has been registered'] = "ನಿಮ್ಮ ಟಿಪ್ಪಣಿಯನ್ನು ನೋಂದಾಯಿಸಲಾಗಿದೆ ";
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = "ನೋಂದಾವಣೆಯ ಮಾನದಂಡಗಳನ್ನು ನಿಮ್ಮ ಟಿಪ್ಪಣಿ ಪೂರೈಸಿಲ್ಲವಾದ್ದರಿಂದ ಅದನ್ನು ನೋದಾಯಿಸಲಾಗಿಲ್ಲ.";
@@ -397,3 +397,19 @@
 $lang['Your website URL is invalid'] = 'ನಿಮ್ಮ ಜಾಲತಾಣ ಪುಟದ ವಿಳಾಸ (URL) ಅಸಿಂಧುವಾಗಿದೆ';
 $lang['mandatory'] = 'ಕಡ್ಡಾಯ';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... or please deactivate this message, I will find my way by myself';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood system: please wait a moment before trying to post another comment';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Bad status for user "guest", default status will be used. Please notify the webmaster.';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies are blocked or not supported by your browser. You must enable cookies to log in.';
+$lang['Default'] = 'ಪೂರ್ವನಿಯೋಜಿತ';
+$lang['Empty query. No criteria has been entered.'] = 'Empty query. No criteria have been entered.';
+$lang['IP: %s'] = 'IP: %s';
+$lang['%d Kb'] = '%d Kb';
+$lang['thumb'] = 'ಕಿರುಚಿತ್ರ';
+$lang['square'] = 'ಚೌಕಟ್ಟು';
+$lang['Thumbnails'] = 'ಕಿರುಚಿತ್ರಗಳು';
+$lang['Sort by'] = 'ಈ ಅನುಕ್ರಮಣಿಕೆಯಂತೆ';
+$lang['SQL queries in'] = 'SQL queries in';
+$lang['RSS feed'] = 'RSS feed';
+$lang['Powered by'] = 'Powered by';
+$lang['N/A'] = 'N/A';
 ?>
